%define libname %mklibname %{name} %{major}
%define major 0

Summary:	Spell-checking addon for GTK's TextView widget
Name:		gtkspell
Version:	2.0.10
Release:	1mdk
Source0:	http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.bz2
License:	GPL
Url:		http://gtkspell.sourceforge.net/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+2-devel
BuildRequires:	aspell-devel >= 0.50.2
BuildRequires:  gtk-doc
BuildRequires:  docbook-dtd42-xml

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires: %name >= %version

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  

%package -n %{libname}-devel
Summary:	%{summary}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.  


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0.10-1mdk
- drop merged patch
- New release 2.0.10

* Fri Mar 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-2mdk 
- Patch0: disable debug

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-1mdk
- add translations
- reenable libtoolize
- new version

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Fix BuildRequires

* Fri Apr 16 2004 Abel Cheung <deaddog@deaddog.org> 2.0.5-1mdk
- New version
- Remove patch0 (similar fix upstream)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-5mdk
- mklibname 

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.3-4mdk
- rebuild

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-3mdk
- Fix devel dependency

* Tue Dec 31 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.3-2mdk
- BuildRequires: autoconf2.5

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- From Mohammed Sameer <Uniball@linux-egypt.org> :
 - Upgraded to Gtkspell 2.0.3
- Patch0: aspell 0.50.x support

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-2mdk
- BuildRequires

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Initial Mandrake release
